Status: Closed Priority: High
Created: 03/08/2011 Assignee: Markos Gogoulos

Updated: 04/12/2011 Due date: 04/08/2011

Subject: Χειρισμός "OS" metadata key για εμφάνιση σωστού εικονιδίου

Description

Το GUI πρέπει να χειρίζεται σωστά το metadata key "OS" ώστε να εμφανίζει το σωστό εικονίδιο λειτουργικού συστήματος (on ή off

ανάλογα). Επίσης πρέπει να εμφανίζει ένα default εικονίδιο σε περίπτωση που το εικονίδιο που χρειάζεται δεν υπάρχει.

Related issues:

related to Synnefo - Bug # 477: Σε Opera δεν εμφανίζονται τα εικονίδια των μη... Closed 05/10/2011

related to Synnefo - Bug # 481: Το UI βρίσκει με λάθος τρόπο το εικονίδιο κάθ... Closed 05/10/2011

Associated revisions

Revision f175b9d6 - 04/12/2011 01:15 am - Markos Gogoulos 

fix image and server icons

    -  use metadata key "OS" for the icon of servers and images

    -  added unknown.png and unknown-off.png on static/machines and static/os_logos

as the icon for unknown os

    -  removed image_tags dict with id/images

    -  new vms get the metadata key "OS" by their source image, if it has one

Refs #257

Revision 45ab204d - 04/12/2011 02:24 pm - Markos Gogoulos 

fix server icons

the gui handles the "OS" metadata key, on the server's creation

Refs #257

Revision 333d00ff - 04/12/2011 03:07 pm - Markos Gogoulos 

rename os images files

Refs #257

Revision 70194c26 - 04/12/2011 03:22 pm - Markos Gogoulos 

fix OS icons

update ubuntu OS icon and add suse icon
Refs #257

History

#1 - 03/23/2011 12:05 pm - Vangelis Koukis

- Due date set to 03/30/2011

#2 - 03/23/2011 12:08 pm - Vangelis Koukis

- Status changed from New to Assigned

Διευκρίνιση:

το εικονίδιο που εμφανίζεται σε έναν server, προκύπτει από την τιμή του metadata key "OS".

στο GUI υπάρχει μια στατική αντιστοιχία [dict?] από τιμή σε εικονίδιο. Εμφανίζεται ένα unknown εικονίδιο αν δεν αναγνωρίζει την τιμή.

ΓΙΑ ΝΕΟ SERVER:

Η τιμή του metadata key "OS" που περνιέται από το GUI στο POST /servers, προκύπτει από την τιμή του metadata key "OS" για το Image από το

οποίο φτιάχνεται. Το GUI παίρνει "OS" από το Image, το περνάει όπως είναι για τον server.

#3 - 03/30/2011 12:07 pm - Vangelis Koukis

- Due date changed from 03/30/2011 to 04/08/2011

#4 - 04/06/2011 11:54 am - Giorgos Gousios

- Target version set to v0.2

#5 - 04/08/2011 09:41 pm - Vangelis Koukis

- Category set to Cyclades UI

#6 - 04/12/2011 01:38 am - Markos Gogoulos

Έγινε. Επίσης έχουν προστεθεί τα εικονίδια unknown.png και unknown-off.png στο static/machines και στο static/os_logos για τις περιπτώσεις που

δεν υπάρχει το metadata key "OS" σε ένα image/server

#7 - 04/12/2011 10:50 am - Vangelis Koukis

Μάρκο, το commit:a64e74f083 είναι λάθος και αντιφάσκει στη σημείωση 2 παραπάνω.

Δεν υπάρχει λόγος το API να χειρίζεται με κάποιον ειδικό τρόπο το OS metadata key.

Είναι δουλειά του GUI να διαβάζει το metadata key "OS" από ένα Image, και όταν ζητάει να φτιαχτεί server από αυτό το Image να το θέτει.

Πιο συγκεκριμένα:

"Η τιμή του metadata key "OS" που περνιέται από το GUI στο POST /servers, προκύπτει από την τιμή του metadata key "OS" για το Image από το

οποίο φτιάχνεται. Το GUI παίρνει "OS" από το Image, το περνάει όπως είναι για τον server."

Οπότε, κάνε revert την αλλαγή του api/servers.py σε νεότερο commit, το οποίο θα βάζει αυτή τη συμπεριφορά στο GUI.

#8 - 04/12/2011 11:03 am - Constantinos Venetsanopoulos

Επίσης, σχετικά με τα εικονίδια και για θέμα ομοιομορφίας:
1. Κάτω από το ui/static/machines/ ας γίνουν rename τα pngs έτσι ώστε να φαίνεται το "on" στο όνομα όπως γίνεται στο "off". Δηλαδή το ubuntu.png

να γίνει ubuntu-on.png κτλ. Και ας αλλάξει όπου χρειάζεται ο κώδικας του GUI για να καλεί τα σωστά εικονίδια.

2. Κάτω από το ui/static/os_logos/ να μπουν pngs που προκύπτουν από svgs του αρχείου clip_art που έχει ανέβει στο Files γιατί αυτό περιέχει τις

τελευταίες επίσημες εκδόσεις των OS logos (π.χ. το ubuntu logo που χρησιμοποιείτε από τα δικά σας pngs έχει αντικατασταθεί και αυτό που

παρουσιάζει ο wizard είναι το παλιό).

#9 - 04/12/2011 11:03 am - Constantinos Venetsanopoulos

- Priority changed from Low to High

#10 - 04/12/2011 03:09 pm - Markos Gogoulos

Το gui πλεον ρυθμίζει το "OS" metadata key και έγινε η μετονομασία στα static/machines

#11 - 04/12/2011 03:14 pm - Constantinos Venetsanopoulos

- Assignee changed from Christos Psaltis to Markos Gogoulos

Μάρκο, βλέπω στο commit:45ab204d6b8d6c18113a24d073eabe0d060f1e78 ότι περνάς εκτός από το meta_key="OS" στην create_vm() (σωστά) και

ένα meta_key="My Server Name" το οποίο το κάνεις ίσο με το όνομα του server. Αυτό δεν ορίζεται πουθενά και δεν χρειάζεται κιόλας, γιατί υπάρχει

ήδη στο πεδίο "name" του server όπως ακριβώς ορίζει το OpenStack v1.1

Επομένως κατά το creation το μόνο που πρέπει να περνάς είναι το "OS" meta key.

#12 - 04/12/2011 03:28 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Οκ αφαιρέθηκε το meta_key "My Server Name", άλλαξε το εικονίδιο του ubuntu και προστέθηκε το suse

#13 - 04/12/2011 03:58 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

φαίνεται ότι παίζει σωστά, το κλείνω
